netsnmp_request_info_s(3)

NAME
netsnmp_request_info_s - The netsnmp request info structure.

SYNOPSIS

#include <snmp_agent.h>

  Data Fields
netsnmp_variable_list * requestvb
variable bindings
netsnmp_data_list * parent_data
can be used to pass information on a per-request basis from a helper to the later handlers
netsnmp_agent_request_info_s * agent_req_info
oid * range_end
don't free, reference to (struct tree)->end
size_t range_end_len
int delegated
flags
int processed
int inclusive
int status
int index
index in original pdu
int repeat
get-bulk
int orig_repeat
netsnmp_variable_list * requestvb_start
netsnmp_request_info_s * next
netsnmp_request_info_s * prev
netsnmp_subtree_s * subtree

Detailed Description

The netsnmp request info structure.

Examples:

delayed_instance.c.

Definition at line 55 of file snmp_agent.h.

Field Documentation

  int netsnmp_request_info_s::delegated

flags

Examples:
delayed_instance.c.

Definition at line 77 of file snmp_agent.h.

Referenced by _request_set_error(), netsnmp_add_varbind_to_cache(), and netsnmp_handler_mark_requests_as_delegated().

  int netsnmp_request_info_s::index

index in original pdu Definition at line 83 of file snmp_agent.h.

Referenced by check_getnext_results(), and netsnmp_add_varbind_to_cache().

  netsnmp_data_list* netsnmp_request_info_s::parent_data

can be used to pass information on a per-request basis from a helper to the later handlers Definition at line 65 of file snmp_agent.h.

Referenced by netsnmp_add_varbind_to_cache(), netsnmp_free_request_data_set(), netsnmp_free_request_data_sets(), netsnmp_request_add_list_data(), netsnmp_request_get_list_data(), and netsnmp_table_iterator_helper_handler().

  oid* netsnmp_request_info_s::range_end

don't free, reference to (struct tree)->end Definition at line 73 of file snmp_agent.h.

Referenced by check_getnext_results(), and netsnmp_add_varbind_to_cache().

  int netsnmp_request_info_s::repeat

get-bulk Definition at line 86 of file snmp_agent.h.

Referenced by check_getnext_results(), and netsnmp_bulk_to_next_fix_requests().

  netsnmp_variable_list* netsnmp_request_info_s::requestvb

variable bindings

Examples:
delayed_instance.c.

Definition at line 59 of file snmp_agent.h.

Referenced by _request_set_error(), check_getnext_results(), netsnmp_add_varbind_to_cache(), netsnmp_bulk_to_next_fix_requests(), netsnmp_check_getnext_reply(), netsnmp_old_api_helper(), netsnmp_row_merge_helper_handler(), netsnmp_table_build_oid(), netsnmp_table_build_oid_from_index(), netsnmp_table_build_result(), netsnmp_table_data_build_result(), netsnmp_table_data_helper_handler(), netsnmp_table_data_set_helper_handler(), netsnmp_table_iterator_helper_handler(), and table_helper_handler().

Author

Generated automatically by Doxygen for net-snmp from the source code.